Bug 661942 - [abrt] spambayes-1.1-0.1.a6.fc14: safepickle.py:7:<module>:ImportError: No module named lockfile
Summary: [abrt] spambayes-1.1-0.1.a6.fc14: safepickle.py:7:<module>:ImportError: No mo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: spambayes
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Thomas Janssen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d3c518ed
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-10 02:56 UTC by Mohammed Arafa
Modified: 2011-02-09 20:21 UTC (History)
3 users (show)

Fixed In Version: spambayes-1.1-0.2.a6.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-09 20:21:00 UTC


Attachments (Terms of Use)
File: backtrace (7.16 KB, text/plain)
2010-12-10 02:56 UTC, Mohammed Arafa
no flags Details

Description Mohammed Arafa 2010-12-10 02:56:53 UTC
abrt version: 1.1.14
architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/sb_filter.py
comment: updated to testing and ran spambayes from within kmail
component: spambayes
executable: /usr/bin/sb_filter.py
kernel: 2.6.35.9-64.fc14.x86_64
package: spambayes-1.1-0.1.a6.fc14
reason: safepickle.py:7:<module>:ImportError: No module named lockfile
release: Fedora release 14 (Laughlin)
time: 1291949659
uid: 500

How to reproduce
-----
1.update to testing
2.select a folder and "apply all filters" in kmail
3.

Comment 1 Mohammed Arafa 2010-12-10 02:56:59 UTC
Created attachment 467898 [details]
File: backtrace

Comment 2 Paul Howarth 2010-12-10 07:58:41 UTC
Can you try "yum install python-lockfile" and see if that fixes it?

Comment 3 Martin Nyhus 2010-12-10 10:40:36 UTC
Got the same error after updating to testing. Seems to work fine after installing python-lockfile

Comment 4 Fedora Update System 2010-12-10 16:38:33 UTC
spambayes-1.1-0.2.a6.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/spambayes-1.1-0.2.a6.fc14

Comment 5 Mohammed Arafa 2010-12-10 23:57:26 UTC
sudo yum --enablerepo=updates-testing update spambayes

doesnt get anything

Comment 6 Thomas Janssen 2010-12-11 01:44:48 UTC
The newly build package (Thanks Paul) isn't push'd to the repo yet, while the older build is already unpushed. You can grab it from koji or wait until it's pushed. Should be latest on Monday. Thanks.

Comment 7 Fedora Update System 2011-02-01 20:53:12 UTC
spambayes-1.1-0.2.a6.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update spambayes'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/spambayes-1.1-0.2.a6.fc14

Comment 8 Fedora Update System 2011-02-09 20:20:50 UTC
spambayes-1.1-0.2.a6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.